Bug 73170

Summary: stdouterr script not executable after installation
Product: cnd Reporter: _ rkubacki <rkubacki>
Component: -- Other --Assignee: _ gordonp <gordonp>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: stack trace

Description _ rkubacki 2006-03-02 07:59:35 UTC
NB5.0 + cnd cluster build 060302 installed from linux installer (previously I
had an older build installed and correctly uninstalled here).

Build fails w/ IOException because cnd1/bin/stdouterr.sh is not executable.
Comment 1 _ rkubacki 2006-03-02 08:00:36 UTC
Created attachment 29080 [details]
stack trace
Comment 2 _ gordonp 2006-03-02 15:37:56 UTC
Raising to P1. If stdouterr.sh isn't executable then you can't build a project.
Thats P1 to me! This needs to be fixed before Milestone 2 can be released.
Comment 3 Thomas Preisler 2006-03-02 17:28:40 UTC
I know what is going on:

stdouterr.sh was added to the release/bin folder with execution flags but NB (or
cvs) somehow ignores this mode and the file ends up in cnd1/bin without
execution flags. To work around this I added a hack in the code to set execution
flags the first time it is executed:

./api/execution/NativeExecution.java:
Runtime.getRuntime().exec("/bin/chmod +x " + stdOutErrFile.getPath()); // NOI18N

This does work most of the time but there must be a race condition so it tries
to execute the file before the chmod command finishes. You will only see this
error *one* time. If you try to build again, it works fine. I doubt this is a P1
issue.

Possible fixes:
1) figure out why execution flags are dropped
2) set execution flag using a different method, or in a different way
3) wait until the chmod command finishes. Remember, this is done only once. 
Comment 4 _ rkubacki 2006-03-02 17:34:47 UTC
I do not think we need to set this from runtime. It should be enough to set this
flag during build time. At least this what nbbuild/build.xml#build-nozip does to
make sure that bin/netbeans is executable and it seems to work sufficiently.
Comment 5 Thomas Preisler 2006-03-02 17:40:37 UTC
I aggree. We could possibly do something similar.
Comment 6 _ gordonp 2006-03-06 16:47:11 UTC
Fixed in build scripts. I also removed the runtime chmod in
NativeExecution.java.
Comment 7 akumta 2007-12-20 19:18:41 UTC
Verified with NetBeans6.0 + cnd cluster.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo